Subject: Re: [PATCH v3 5/5] branch.c: replace questionable exit() codes

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Dec 2021 01:02:41 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> The latter should really be "exit(1)", not 128. We should reserve that
> for die().

Is it because install_branch_config_multiple_remotes() gives enough
information to the user that the caller exits without its own
message?  In other words, are messages given by the callee to the
users are morally equivalent to what the caller would call die()
with, if the callee were silent?  If so, 128 is perfectly fine.  If
not, 1 or anything positive that is not 128 may be more appropriate.

Either case, -1 is a definite no-no.